processing.app

## Class SketchException

- Object
- - Throwable
  - - Exception
    - - SketchException

- All Implemented Interfaces:
    Serializable

      public class SketchException
      extends Exception

  An exception with a line number attached that occurs during either pre-processing, compile, or run time.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SketchException(String message)`
    `SketchException(String message, boolean showStackTrace)`
    `SketchException(String message, int file, int line)`
    `SketchException(String message, int file, int line, int column)`
    `SketchException(String message, int file, int line, int column, boolean showStackTrace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodeColumn()`
    `int` | `getCodeIndex()`
    `int` | `getCodeLine()`
    `String` | `getMessage()` Override getMessage() in Throwable, so that I can set the message text outside the constructor.
    `boolean` | `hasCodeIndex()`
    `boolean` | `hasCodeLine()`
    `void` | `hideStackTrace()`
    `void` | `printStackTrace()` Nix the java.lang crap out of an exception message because it scares the children.
    `void` | `setCodeColumn(int column)`
    `void` | `setCodeIndex(int index)`
    `void` | `setCodeLine(int line)`
    `void` | `setMessage(String message)`
    `void` | `showStackTrace()`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SketchException

          public SketchException(String message)

    - #### SketchException

          public SketchException(String message,
                                 boolean showStackTrace)

    - #### SketchException

          public SketchException(String message,
                                 int file,
                                 int line)

    - #### SketchException

          public SketchException(String message,
                                 int file,
                                 int line,
                                 int column)

    - #### SketchException

          public SketchException(String message,
                                 int file,
                                 int line,
                                 int column,
                                 boolean showStackTrace)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Override getMessage() in Throwable, so that I can set the message text outside the constructor.
      Overrides:
        `getMessage` in class `Throwable`

    - #### setMessage

          public void setMessage(String message)

    - #### getCodeIndex

          public int getCodeIndex()

    - #### setCodeIndex

          public void setCodeIndex(int index)

    - #### hasCodeIndex

          public boolean hasCodeIndex()

    - #### getCodeLine

          public int getCodeLine()

    - #### setCodeLine

          public void setCodeLine(int line)

    - #### hasCodeLine

          public boolean hasCodeLine()

    - #### setCodeColumn

          public void setCodeColumn(int column)

    - #### getCodeColumn

          public int getCodeColumn()

    - #### showStackTrace

          public void showStackTrace()

    - #### hideStackTrace

          public void hideStackTrace()

    - #### printStackTrace

          public void printStackTrace()

      Nix the java.lang crap out of an exception message because it scares the children.

      This function must be static to be used with super() in each of the constructors above.

      Overrides:
        `printStackTrace` in class `Throwable`